Macaulay2 » Documentation
Packages » Macaulay2Doc » The Macaulay2 language » system facilities » rootURI
next | previous | forward | backward | up | index | toc

# rootURI

- Usage:
    `rootURI`
- Outputs:
  - a string, the path, as seen by an external browser, to the root of the file system seen by Macaulay2

## Description

This string may be concatenated with an absolute path to get one understandable by an external browser.

    i1 : fn = temporaryFileName()

    o1 = /tmp/M2-29421-0/0

    i2 : rootURI | fn

    o2 = file:///tmp/M2-29421-0/0

## See also

- rootPath

## For the programmer

The object rootURI is a string.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Macaulay2Doc/ov_system.m2:2041:0.